<?php
/**
* 商品編集タスク
*
* PHP version 5
*
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/
class ShouhinEditTask extends DatabaseTask implements ITask
{
	public $shouhin;
	public $manufacturer_list;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * イベントを処理する
	 */
	public function processEvent( IEvent $event, TaskSnapshot $snapshot )
	{
		// 商品を検索
		$id = $event->get( s('id') );
		$this->shouhin = $this->findById( s('shouhin'), s($id), s('DB_TO_HTML') );

		// メーカー一覧を検索
		$this->manufacturer_list = $this->findAll( s('manufacturer'), NULL, s('DB_TO_HTML') );

		return b(TRUE);
	}

}
